|
| BRepLib_MakeEdge () |
|
| BRepLib_MakeEdge (const TopoDS_Vertex &V1, const TopoDS_Vertex &V2) |
|
| BRepLib_MakeEdge (const gp_Pnt &P1, const gp_Pnt &P2) |
|
| BRepLib_MakeEdge (const gp_Lin &L) |
|
| BRepLib_MakeEdge (const gp_Lin &L, const Standard_Real p1, const Standard_Real p2) |
|
| BRepLib_MakeEdge (const gp_Lin &L, const gp_Pnt &P1, const gp_Pnt &P2) |
|
| BRepLib_MakeEdge (const gp_Lin &L, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2) |
|
| BRepLib_MakeEdge (const gp_Circ &L) |
|
| BRepLib_MakeEdge (const gp_Circ &L, const Standard_Real p1, const Standard_Real p2) |
|
| BRepLib_MakeEdge (const gp_Circ &L, const gp_Pnt &P1, const gp_Pnt &P2) |
|
| BRepLib_MakeEdge (const gp_Circ &L, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2) |
|
| BRepLib_MakeEdge (const gp_Elips &L) |
|
| BRepLib_MakeEdge (const gp_Elips &L, const Standard_Real p1, const Standard_Real p2) |
|
| BRepLib_MakeEdge (const gp_Elips &L, const gp_Pnt &P1, const gp_Pnt &P2) |
|
| BRepLib_MakeEdge (const gp_Elips &L, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2) |
|
| BRepLib_MakeEdge (const gp_Hypr &L) |
|
| BRepLib_MakeEdge (const gp_Hypr &L, const Standard_Real p1, const Standard_Real p2) |
|
| BRepLib_MakeEdge (const gp_Hypr &L, const gp_Pnt &P1, const gp_Pnt &P2) |
|
| BRepLib_MakeEdge (const gp_Hypr &L, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2) |
|
| BRepLib_MakeEdge (const gp_Parab &L) |
|
| BRepLib_MakeEdge (const gp_Parab &L, const Standard_Real p1, const Standard_Real p2) |
|
| BRepLib_MakeEdge (const gp_Parab &L, const gp_Pnt &P1, const gp_Pnt &P2) |
|
| BRepLib_MakeEdge (const gp_Parab &L, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2) |
|
| BRepLib_MakeEdge (const Handle< Geom_Curve > &L) |
|
| BRepLib_MakeEdge (const Handle< Geom_Curve > &L, const Standard_Real p1, const Standard_Real p2) |
|
| BRepLib_MakeEdge (const Handle< Geom_Curve > &L, const gp_Pnt &P1, const gp_Pnt &P2) |
|
| BRepLib_MakeEdge (const Handle< Geom_Curve > &L, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2) |
|
| BRepLib_MakeEdge (const Handle< Geom_Curve > &L, const gp_Pnt &P1, const gp_Pnt &P2, const Standard_Real p1, const Standard_Real p2) |
|
| BRepLib_MakeEdge (const Handle< Geom_Curve > &L, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2, const Standard_Real p1, const Standard_Real p2) |
|
| BRepLib_MakeEdge (const Handle< Geom2d_Curve > &L, const Handle< Geom_Surface > &S) |
|
| BRepLib_MakeEdge (const Handle< Geom2d_Curve > &L, const Handle< Geom_Surface > &S, const Standard_Real p1, const Standard_Real p2) |
|
| BRepLib_MakeEdge (const Handle< Geom2d_Curve > &L, const Handle< Geom_Surface > &S, const gp_Pnt &P1, const gp_Pnt &P2) |
|
| BRepLib_MakeEdge (const Handle< Geom2d_Curve > &L, const Handle< Geom_Surface > &S, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2) |
|
| BRepLib_MakeEdge (const Handle< Geom2d_Curve > &L, const Handle< Geom_Surface > &S, const gp_Pnt &P1, const gp_Pnt &P2, const Standard_Real p1, const Standard_Real p2) |
|
| BRepLib_MakeEdge (const Handle< Geom2d_Curve > &L, const Handle< Geom_Surface > &S, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2, const Standard_Real p1, const Standard_Real p2) |
|
void | Init (const Handle< Geom_Curve > &C) |
|
void | Init (const Handle< Geom_Curve > &C, const Standard_Real p1, const Standard_Real p2) |
|
void | Init (const Handle< Geom_Curve > &C, const gp_Pnt &P1, const gp_Pnt &P2) |
|
void | Init (const Handle< Geom_Curve > &C, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2) |
|
void | Init (const Handle< Geom_Curve > &C, const gp_Pnt &P1, const gp_Pnt &P2, const Standard_Real p1, const Standard_Real p2) |
|
void | Init (const Handle< Geom_Curve > &C, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2, const Standard_Real p1, const Standard_Real p2) |
|
void | Init (const Handle< Geom2d_Curve > &C, const Handle< Geom_Surface > &S) |
|
void | Init (const Handle< Geom2d_Curve > &C, const Handle< Geom_Surface > &S, const Standard_Real p1, const Standard_Real p2) |
|
void | Init (const Handle< Geom2d_Curve > &C, const Handle< Geom_Surface > &S, const gp_Pnt &P1, const gp_Pnt &P2) |
|
void | Init (const Handle< Geom2d_Curve > &C, const Handle< Geom_Surface > &S, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2) |
|
void | Init (const Handle< Geom2d_Curve > &C, const Handle< Geom_Surface > &S, const gp_Pnt &P1, const gp_Pnt &P2, const Standard_Real p1, const Standard_Real p2) |
|
void | Init (const Handle< Geom2d_Curve > &C, const Handle< Geom_Surface > &S, const TopoDS_Vertex &V1, const TopoDS_Vertex &V2, const Standard_Real p1, const Standard_Real p2) |
|
BRepLib_EdgeError | Error () const |
| Returns the error description when NotDone. More...
|
|
const TopoDS_Edge & | Edge () |
|
| operator TopoDS_Edge () |
|
const TopoDS_Vertex & | Vertex1 () const |
| Returns the first vertex of the edge. May be Null. More...
|
|
const TopoDS_Vertex & | Vertex2 () const |
| Returns the second vertex of the edge. May be Null. More...
|
|
void | Build () |
| This is called by Shape(). It does nothing but may be redefined. More...
|
|
const TopoDS_Shape & | Shape () |
|
| operator TopoDS_Shape () |
|
virtual BRepLib_ShapeModification | FaceStatus (const TopoDS_Face &F) const |
| returns the status of the Face after the shape creation. More...
|
|
virtual Standard_Boolean | HasDescendants (const TopoDS_Face &F) const |
| Returns True if the Face generates new topology. More...
|
|
virtual const TopTools_ListOfShape & | DescendantFaces (const TopoDS_Face &F) |
| returns the list of generated Faces. More...
|
|
virtual Standard_Integer | NbSurfaces () const |
| returns the number of surfaces after the shape creation. More...
|
|
virtual const TopTools_ListOfShape & | NewFaces (const Standard_Integer I) |
| Return the faces created for surface I. More...
|
|
virtual const TopTools_ListOfShape & | FacesFromEdges (const TopoDS_Edge &E) |
| returns a list of the created faces from the edge <E>. More...
|
|
Public Member Functions inherited from BRepLib_Command |
virtual | ~BRepLib_Command () |
|
Standard_Boolean | IsDone () const |
|
void | Check () const |
| Raises NotDone if done is false. More...
|
|
Provides methods to build edges.
The methods have the following syntax, where TheCurve is one of Lin, Circ, ...
Create(C : TheCurve)
Makes an edge on the whole curve. Add vertices on finite curves.
Create(C : TheCurve; p1,p2 : Real)
Make an edge on the curve between parameters p1 and p2. if p2 < p1 the edge will be REVERSED. If p1 or p2 is infinite the curve will be open in that direction. Vertices are created for finite values of p1 and p2.
Create(C : TheCurve; P1, P2 : Pnt from gp)
Make an edge on the curve between the points P1 and P2. The points are projected on the curve and the previous method is used. An error is raised if the points are not on the curve.
Create(C : TheCurve; V1, V2 : Vertex from TopoDS)
Make an edge on the curve between the vertices V1 and V2. Same as the previous but no vertices are created. If a vertex is Null the curve will be open in this direction.